function est_mask = comp_est_mask(p, W)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Computes estimated masks
%Input:
% p             = est. order
% W             = Wald statistics
%Output:
% est_mask      = estimated masks
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if (p>0) && (p<21) 
    load table_chi2;
    for ind=1:length(vec_alpha)
         Th = mat_Th(p,ind);
         est_mask{ind} = (W > Th);
    end
else
    fprintf('ERROR: Incorrect value for the estimated order!\n');
    est_mask = [];
end

end %function

