function [val_spec_rad, val_crit] = comp_res(val_spec_rad, val_crit, data, Af, noz, met, ind_mask)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Computes various results 
%Input:
% val_spec_rad  = values spec. radii
% val_crit      = values for the ITC
% data          = measurements (N X K)
% Af            = est. coeff. Af{1} ... Af{phat}
% noz           = no. of zeros for the mask
% met           = optimization method (1=LS, 2=Songsiri)
% ind_mask      = index mask
%Output:
% val_spec_rad  = values spec. radii
% val_crit      = values for four ITC
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

K       = size(data,2);
phat    = size(Af,2);

val_spec_rad(ind_mask,met)     = comp_spec_rad(Af);
[vec_crit, ~]                  = eval_crit(data, K, phat, cell2mat(Af), noz);
val_crit(:,ind_mask,met)       = vec_crit;

end %function

