function read_results

ITCord =  {'SBC', 'FPE', 'RNML', 'AICc', 'ORACLE'};
ITC = {'SBC', 'FPE', 'RNML', 'AICc', 'EBIC', 'ERNML', 'ORACLE'}; 
MET = {'LS', 'SONGSIRI', 'STABILITY'};

%EXP1
% load('all_K10_p3.mat');

%EXP2
load('all_K3_p10.mat');

%%%%%%%%%%%%%%
tit = sprintf('K=%i, p=%i', K,p);
fname = sprintf('Results_K_%i_p_%i.tex', K,p);
if K==10
    expe=1;
else
    expe=2;
end
fid = fopen(fname,'w');
DIST = [];
MPE = [];


%%%%%%%%%%%%%%
for indN=1:length(vec_N)
    N = vec_N(indN);
    
    %%%%%%%%%%%%%
    fprintf(fid,'*************************************************************\n'); 
    fprintf(fid,'*************************************************************\n'); 
    fprintf(fid, 'Sample size N=%i\n', N);
    fprintf(fid, 'Statistics estimated orders:\n');
    %TABLE
    fprintf(fid,'\\begin{table}[h!]\n');
	fprintf(fid,'\\centering\n');
	fprintf(fid,'\\begin{tabular}{ccccc}\n');
	fprintf(fid,'\\hline\n');
	fprintf(fid,'VAR Order & \\multicolumn{4}{c}{IT Criterion} \\\\ \n');
	fprintf(fid,'\\cline{2-5} \n');
    fprintf(fid,'\t');
    for cord=1:(size(ITCord,2)-1)
        fprintf(fid, ' & \t\t %6s',ITCord{cord});
    end
    fprintf(fid, ' \\\\ \n');
    fprintf(fid,'\\hline \n');
    for est_p=pmin:pmax
        if est_p==p
            fprintf(fid, '\\bf{%2i}', est_p);
        else
            fprintf(fid, '%2i', est_p);
        end
        for cord=1:(size(ITCord,2)-1)
                fprintf(fid, ' & \t\t %3i', length(find(mat_phat(cord,:,indN)==est_p)) );
        end
        fprintf(fid, ' \\\\ \n');
    end
    fprintf(fid,'\\hline \n');
    fprintf(fid,'\\end{tabular} \n');
	fprintf(fid,'\\caption{\\label{table:OrdExp%1iN%3i} Exp$_%1i$: $N=%3i$ }\n', expe, N, expe, N);
    fprintf(fid,'\\end{table} \n\n\n\n');
    

    %%%%%%%%%%%%%
    fprintf(fid,'*************************************************************\n'); 
    fprintf(fid,'*************************************************************\n'); 
    fprintf(fid, 'Sample size N=%i\n', N);
    fprintf(fid, 'Av. dist. to the true mask:\n');
    %TABLE
    fprintf(fid,'\\begin{table*}[h!]\n');
	fprintf(fid,'\\centering\n');
	fprintf(fid,'\\begin{tabular}{lccccc}\n');
	fprintf(fid,'\\hline\n');
    for met=1:3
        res = [];
        if met==1
            fprintf(fid,'\\multicolumn{6}{c}{LS with Granger constraints} \\\\ \n');
        elseif met==2
            fprintf(fid,'\\multicolumn{6}{c}{Estimation method from \\cite{rak16}} \\\\ \n');
        else
            fprintf(fid,'\\multicolumn{6}{c}{Iterative estimation method} \\\\ \n');
        end
        fprintf(fid,'\\hline\n');
        fprintf(fid,'\t');
        for cord=1:size(ITCord,2)
            fprintf(fid, ' &\t\t %6s',ITCord{cord});
        end
        fprintf(fid,' \\\\ \n');
        for c=1:(size(ITC,2)-1)
            fprintf(fid, ' %6s', ITC{c});
            for cord=1:size(ITCord,2)
                ff = find(est_dist(cord,c,:,met,indN)~=Inf);
                fprintf(fid, ' \t\t& %4.3f', mean(est_dist(cord,c,ff,met,indN))/(K^2) );
                res = [res; mean(est_dist(cord,c,ff,met,indN))/(K^2)];
            end
            fprintf(fid,' \\\\ \n');
        end
        fprintf(fid,'\\hline \n');
        DIST = [DIST res];
    end %met
    fprintf(fid,'\\end{tabular} \n');
	fprintf(fid,'\\caption{\\label{table:DistExp%1iN%3i} Exp$_%1i$: $N=%3i$ }\n', expe, N, expe, N);
    fprintf(fid,'\\end{table*} \n\n\n\n');
    
     %%%%%%%%%%%%%
     fprintf(fid,'*************************************************************\n'); 
     fprintf(fid,'*************************************************************\n'); 
     fprintf(fid, 'Sample size N=%i\n', N);
     fprintf(fid, 'Prob. that the estimated model is unstable:\n');
     %TABLE
     fprintf(fid,'\\begin{table*}[h!]\n');
	 fprintf(fid,'\\centering\n');
	 fprintf(fid,'\\begin{tabular}{lccccc}\n');
	 fprintf(fid,'\\hline\n');
     for met=1:1 %only met=1 is interesting
         if met==1
            fprintf(fid,'\\multicolumn{6}{c}{LS with Granger constraints} \\\\ \n');
        elseif met==2
            fprintf(fid,'\\multicolumn{6}{c}{Estimation method from \\cite{rak16}} \\\\ \n');
        else
            fprintf(fid,'\\multicolumn{6}{c}{Iterative estimation method} \\\\ \n');
        end
        fprintf(fid,'\\hline\n');
        fprintf(fid,'\t');
        for cord=1:size(ITCord,2)
            fprintf(fid, ' &\t\t %6s',ITCord{cord});
        end
        fprintf(fid,' \\\\ \n');
        
        for c=1:size(ITC,2)
            fprintf(fid, ' %6s', ITC{c});
            for cord=1:size(ITCord,2)
                 fprintf(fid, ' &\t\t %4.3f',  length( find(est_spec_rad(cord,c,ff,met,indN)>=1) )/length( est_spec_rad(cord,c,ff,met,indN) ) );
            end
            fprintf(fid,' \\\\ \n');
        end
        fprintf(fid,'\\hline \n');
    end %met
    fprintf(fid,'\\end{tabular} \n');
	fprintf(fid,'\\caption{\\label{table:ProbNotStableExp%1iN%3i} Exp$_%1i$: $N=%3i$ }\n', expe, N, expe, N);
    fprintf(fid,'\\end{table*} \n\n\n\n');
    
    
     %%%%%%%%%%%%%
     fprintf(fid,'*************************************************************\n'); 
     fprintf(fid,'*************************************************************\n'); 
     fprintf(fid, 'Sample size N=%i\n', N);
     fprintf(fid, 'MSE Prediction:\n');
     %TABLE
     fprintf(fid,'\\begin{table*}[h!]\n');
	 fprintf(fid,'\\centering\n');
	 fprintf(fid,'\\begin{tabular}{lccccc}\n');
	 fprintf(fid,'\\hline\n');
     for met=1:3 
            res = [];
            if met==1
                fprintf(fid,'\\multicolumn{6}{c}{LS with Granger constraints} \\\\ \n');
            elseif met==2
                fprintf(fid,'\\multicolumn{6}{c}{Estimation method from \\cite{rak16}} \\\\ \n');
            else
                fprintf(fid,'\\multicolumn{6}{c}{Iterative estimation method} \\\\ \n');
            end
            fprintf(fid,'\\hline\n');
            fprintf(fid,'\t');
            for cord=1:size(ITCord,2)
                fprintf(fid, ' &\t\t %6s',ITCord{cord});
            end
            fprintf(fid,' \\\\ \n');
            for c=1:size(ITC,2)
                fprintf(fid, ' %6s', ITC{c});
                for cord=1:size(ITCord,2)
                    fprintf(fid, '\t\t& %5.3f',   median(pred_err(cord,c,ff,met,indN)) );
                    res = [res; median(pred_err(cord,c,ff,met,indN))];    
                end
                fprintf(fid,' \\\\ \n');
            end
            fprintf(fid,'\\hline \n');
            MPE = [MPE res];
    end %met
    fprintf(fid,'\\end{tabular} \n');
	fprintf(fid,'\\caption{\\label{table:MSEPredExp%1iN%3i} Exp$_%1i$: $N=%3i$ }\n', expe, N, expe, N);
    fprintf(fid,'\\end{table*} \n\n\n\n');
            
end %indN

mod_boxplot(MPE, tit, 'Prediction Errors', 1);
mod_boxplot(DIST, tit, 'Av. Dist. To The True Sparsity Pattern', 2);


fclose(fid);
end %function

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function mod_boxplot(results, tit, yl, fig_no)

figure(fig_no);
Label_size = 10;

% make some grouping labels
g1 = repmat([1 1 1 2 2 2 3 3 3 4 4 4],size(results,1),1);
g2 = repmat('abcabcabcabc',size(results,1),1);
% reshape everything into columns
zv = results(:);
gp1 = g1(:);
gp2 = g2(:);

boxplot(zv,{gp1,gp2},'factorgap',[5 0], 'FactorSeparator',[1 1], ...
    'label',{' ','N=200',' ',' ','N=300',' ',' ','N=400',' ',' ','N=500',' '}, ...
    'symbol','g+', ...
    'colors','kbr');
ylabel(yl,'FontSize',Label_size);
title(tit,'FontSize',Label_size);
h = findobj(gca, 'type', 'text');
set(gca,'FontSize',Label_size); 
set(gca,'TickLength',[0 0]);
set(h,'FontSize',Label_size);
set(h,'Interpreter','tex');
        
end %function


     
    
